@font-face {
    font-family: 'outfit';
    src: url('fonts/outfit/static/Outfit-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('fonts/poppins/Poppins-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Poppins';
    src: url('fonts/poppins/Poppins-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'merriweather';
    src: url('fonts/merriweather/MerriweatherSans-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'merriweather';
    src: url('fonts/merriweather/MerriweatherSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'merriweather';
    src: url('fonts/merriweather/MerriweatherSans-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'merriweather';
    src: url('fonts/merriweather/MerriweatherSans-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
}

body {
    font-family: "Montserrat", sans-serif;
    margin: 0; padding: 0;
}

@layer utilities {
  @keyframes border-draw {
    from { width: 0; }
    to { width: 100%; }
  }

  .animate-border-draw::before {
    animation: border-draw 0.3s ease forwards;
  }
}

.block-anim { display: inline-block; }
#block { animation: blockReveal 2.2s cubic-bezier(0.22, 1, 0.36, 1) forwards; }
@keyframes blockReveal {
    from { clip-path: inset(0 100% 0 0); }
    to { clip-path: inset(0 0 0 0); }
}

.article-content h2 {
    font-size: 1.875rem;
    margin-top: 1.5rem;
    margin-bottom: 0.75rem;
}

.article-content h3 {
    font-size: 1.5rem;
    margin-top: 1.25rem;
    margin-bottom: 0.5rem;
}

.article-content p {
    font-size: 1rem;
    color: #374151;     
    line-height: 1.625;
    margin-bottom: 0.5rem;
}

.article-content ul {
    list-style-type: disc;
    padding-left: 1.5rem;
    margin-bottom: 0.5rem;
}